%define	theirversion %version

Name:		vorbis-tools
Summary:	Several Ogg Vorbis Tools
Version:	1.4.0
Release:	%mkrel 15
Group:		Sound/Utilities
License:	GPL
URL:		http://www.xiph.org/
Source:		http://downloads.xiph.org/releases/vorbis/%{name}-%{theirversion}.tar.gz
Patch0:		vorbis-tools-1.4.0-next_on_SIGUSR1.patch
Patch1:		vorbis-tools-1.2.0-ogg123-play-stdin.patch
Patch2:		vorbis-tools-1.2.0-fix-str-fmt.patch
Patch3:		vorbis-tools-1.4.0-automake-1.13.patch
Patch4:		vorbis-tools-1.4.0-bz1185558.patch
Patch5:		vorbis-tools-1.4.0-CVE-2014-9638-CVE-2014-9639.patch
Patch6:		vorbis-tools-1.4.0-CVE-2015-6749.patch
Patch7:		vorbis-tools-autoconf.patch
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(ogg) >= 1.0
BuildRequires:	pkgconfig(ao) >= 1.0
BuildRequires:	pkgconfig(flac)
BuildRequires:  pkgconfig(speex)
BuildRequires:	pkgconfig(vorbis) >= 1.3.0
BuildRequires:	texinfo
# (gc) needed for AM_PATH_PROG_WITH_TEST
BuildRequires:	gettext-devel

%description
This package contains oggenc (encoder), oggdec, ogg123 (command line player)
vorbiscomment (metadata editor) and vcut (cut tool).

Find some free Ogg Vorbis music here: http://www.vorbis.com/music/

%prep
%autosetup -p1 -n %{name}-%{theirversion}

%build
autoreconf -fi
%configure \
	--enable-vcut
%make_build

%install
%make_install

%find_lang %{name}

# cleanup
rm -rf %{buildroot}/%{_docdir}/%{name}-%{version}

%files -f %{name}.lang
%doc COPYING README ogg123/ogg123rc-example
%{_bindir}/ogg123
%{_bindir}/oggdec
%{_bindir}/oggenc
%{_bindir}/ogginfo
%{_bindir}/vcut
%{_bindir}/vorbiscomment
%{_mandir}/man1/ogg123*
%{_mandir}/man1/oggenc*
%{_mandir}/man1/oggdec*
%{_mandir}/man1/ogginfo*
%{_mandir}/man1/vcut*
%{_mandir}/man1/vorbiscomment*


%changelog
* Thu Nov 05 2020 wally <wally> 1.4.0-15.mga8
+ Revision: 1642915
- fix build with autoconf 2.69d
+ joequant <joequant>
- use package configure

* Fri Feb 14 2020 umeabot <umeabot> 1.4.0-14.mga8
+ Revision: 1518054
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.4.0-13.mga7
+ Revision: 1301638
- Mageia 7 Mass Rebuild

* Fri Feb 12 2016 umeabot <umeabot> 1.4.0-12.mga6
+ Revision: 959169
- Mageia 6 Mass Rebuild

* Mon Aug 31 2015 luigiwalser <luigiwalser> 1.4.0-11.mga6
+ Revision: 871668
- add upstream patch to fix CVE-2015-6749

* Wed Feb 25 2015 luigiwalser <luigiwalser> 1.4.0-10.mga5
+ Revision: 817008
- add patch from fedora to fix CVE-2014-9638 and CVE-2014-9639

* Fri Jan 30 2015 luigiwalser <luigiwalser> 1.4.0-9.mga5
+ Revision: 812771
- add patch from fedora to fix CVE-2014-9640

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0-8.mga5
+ Revision: 744600
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.0-7.mga5
+ Revision: 690236
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4.0-6.mga4
+ Revision: 520046
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.4.0-5.mga3
+ Revision: 385513
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 1.4.0-4.mga3
+ Revision: 337960
- rpm group: Sound/Utilities
- patch3: fix build with automake 1.13

* Sat Feb 05 2011 ahmad <ahmad> 1.4.0-3.mga1
+ Revision: 47115
- imported package vorbis-tools


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-2mdv2011.0
+ Revision: 608141
- rebuild

* Sun Mar 28 2010 Funda Wang <fwang@mandriva.org> 1.4.0-1mdv2010.1
+ Revision: 528351
- New version 1.4.0
- rediff next_on_SIGUSR1 patch
- drop upstream merged patches

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-7mdv2010.1
+ Revision: 524311
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.2.0-6mdv2010.0
+ Revision: 427531
- rebuild

* Sat Mar 07 2009 Funda Wang <fwang@mandriva.org> 1.2.0-5mdv2009.1
+ Revision: 351692
- fix str fmt
- rediff patch5
- rediff patch4

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Wed Aug 06 2008 Olivier Blin <oblin@mandriva.com> 1.2.0-4mdv2009.0
+ Revision: 264257
- fix high cpu usage when using piped content (#42337)

* Thu Jul 03 2008 Michael Scherer <misc@mandriva.org> 1.2.0-3mdv2009.0
+ Revision: 231234
- add patch6, fix CVE-2008-1686, and close bug #40465

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.2.0-2mdv2009.0
+ Revision: 225921
- rebuild

* Thu Apr 03 2008 Olivier Blin <oblin@mandriva.com> 1.2.0-1mdv2008.1
+ Revision: 192001
- fix crash when resampling FLAC (upstream changeset 14631)
- 1.2.0 (to fix crash in ogginfo with invalid comments, #30618)
- drop merged patches (flach/curl/conversion)

* Tue Jan 15 2008 Götz Waschk <waschk@mandriva.org> 1.1.1-6mdv2008.1
+ Revision: 152147
- fix character set conversion (bug #36688)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - s/Mandrake/Mandriva/

* Wed Aug 29 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-5mdv2008.0
+ Revision: 74262
- fix build


* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 1.1.1-5mdv2007.0
+ Revision: 89374
- update patch 0
- patch for new curl
- Import vorbis-tools

* Wed Oct 18 2006 Götz Waschk <waschk@mandriva.org> 1.1.1-5mdv2007.1
- patch to support flac 1.1.3

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-4mdk
- rebuilt against openssl-0.9.8a

* Thu Oct 13 2005 Götz Waschk <waschk@mandriva.org> 1.1.1-3mdk
- fix description

* Wed Oct 12 2005 Götz Waschk <waschk@mandriva.org> 1.1.1-2mdk
- reenable vcut (thanks to Christopher Kelly)

* Mon Jul 11 2005 Götz Waschk <waschk@mandriva.org> 1.1.1-1mdk
- spec cleanup
- drop patch 6
- rediff patch 4
- source URL
- New release 1.1.1

* Tue Apr 19 2005 Götz Waschk <waschk@linux-mandrake.com> 1.0.1-7mdk
- rebuild with new libflac

* Fri Jan 21 2005 Abel Cheung <deaddog@mandrake.org> 1.0.1-6mdk
- P5: Allows ogg123 to play stdin -- https://nospam.dyndns.dk/hacks/ogg123/
- P6: Fix speex detection
- Try using configure flags to work around lib64 detection, but keep P0 for now

* Tue Aug 03 2004 Götz Waschk <waschk@linux-mandrake.com> 1.0.1-5mdk
- rebuild for new flac

* Thu Jul 01 2004 Götz Waschk <waschk@linux-mandrake.com> 1.0.1-4mdk
- rebuild for new curl

* Mon Dec 15 2003 Götz Waschk <waschk@linux-mandrake.com> 1.0.1-3mdk
- fix buildrequires again

* Sun Dec 14 2003 Götz Waschk <waschk@linux-mandrake.com> 1.0.1-2mdk
- add missing buildrequires

* Thu Dec 11 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-1mdk
- new version

